<template>
  <div>
    <h2>Lista</h2>
    <br-list title="Lista simples" density="large">
      <br-item id="panel-01" title="Botão">
        <br-button label="Primário" type="primary" icon="home"></br-button>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-1" title="Sobre">
        <p>Sobre</p>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-2" title="Todos">
        <p>Todos</p>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-3" title="Notícias">
        <p>Notícias</p>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-4" title="Serviços">
        <p>Serviços</p>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-5" title="Aplicativos">
        <p>Aplicativos</p>
      </br-item>
      <br-divider></br-divider>
      <br-item id="panel-6" title="Mídias">
        <p>Mídias</p>
      </br-item>
    </br-list>
    <br-list horizontal title="Lista horizontal">
      <br-item>ROTULO 1</br-item>
      <br-divider class="mx-3" vertical></br-divider>
      <br-item>ROTULO 2</br-item>
      <br-divider class="mx-3" vertical></br-divider>
      <br-item>ROTULO 3</br-item>
    </br-list>
    <h2>Lista expansivel</h2>
    <div class="row">
      <div class="col-6 br-divider vertical">
        <br-list data-toggle density="large" title="<br-list data-toggle>...</br-list>">
          <br-item title="ROTULO 1">
            <br-list>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 1</div>
                </div></br-item
              >
              <br-divider></br-divider>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 2</div>
                </div></br-item
              >
              <br-divider></br-divider>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 3</div>
                </div></br-item
              >
              <br-divider></br-divider>
            </br-list>
          </br-item>

          <br-item title="ROTULO 2">
            <br-list>
              <br-item>Detalhes do item 2</br-item>
            </br-list>
          </br-item>

          <br-item title="ROTULO 3">
            <br-list> Mais detalhes sobre o item 3 </br-list>
          </br-item>
        </br-list>
      </div>
      <div class="col-6">
        <br-list data-toggle data-unique density="medium" title="<br-list data-toggle data-unique>...</br-list>">
          <br-item title="Item 1">
            <br-list>
              <br-item>Subitem 1.1</br-item>
              <br-item>Subitem 1.2</br-item>
              <br-item>Subitem 1.3</br-item>
            </br-list>
          </br-item>

          <br-divider></br-divider>
          <br-item title="Item 2">
            <br-list>
              <br-item>Detalhes do item 2</br-item>
            </br-list>
          </br-item>
          <br-divider></br-divider>
          <br-item title="Item 3">
            <br-list> Mais detalhes sobre o item 3 </br-list>
          </br-item>
          <br-divider></br-divider>
          <br-item title="Item 4">
            <br-list> Mais detalhes sobre o item 4 </br-list>
          </br-item>
        </br-list>
      </div>
    </div>

    <div class="row">
      <div class="col-6 br-divider vertical">
        <br-list horizontal data-toggle title="<br-list horizontal data-toggle>...</br-list>">
          <br-item title="ROTULO 1">
            <br-list>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 1</div>
                </div></br-item
              >
              <br-divider></br-divider>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 2</div>
                </div></br-item
              >
              <br-divider></br-divider>
              <br-item
                ><div class="row align-items-center">
                  <div class="col-auto">
                    <i class="fas fa-heartbeat" aria-hidden="true"></i>
                  </div>
                  <div class="col">Sub-item 3</div>
                </div></br-item
              >
              <br-divider></br-divider>
            </br-list>
          </br-item>

          <br-item title="ROTULO 2">
            <br-list>
              <br-item>Detalhes do item 2</br-item>
            </br-list>
          </br-item>

          <br-item title="ROTULO 3">
            <br-list> Mais detalhes sobre o item 3 </br-list>
          </br-item>
        </br-list>
      </div>
      <div class="col-6"></div>
    </div>

    <h2>Lista densidade alta (padrão)</h2>
    <br-list title="Densidade alta (padrão)" density="large">
      <br-item id="panel-1" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-2" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-3" title="Texto principal"> Texto principal </br-item>
    </br-list>
    <h2>Lista densidade média</h2>
    <br-list title="Densidade média" density="medium">
      <br-item id="panel-1" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-2" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-3" title="Texto principal"> Texto principal </br-item>
    </br-list>
    <h2>Lista densidade baixa</h2>
    <br-list title="Densidade baixa" density="small">
      <br-item id="panel-1" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-2" title="Texto principal"> Texto principal </br-item>
      <br-divider></br-divider>
      <br-item id="panel-3" title="Texto principal"> Texto principal </br-item>
    </br-list>
  </div>
</template>
